# FoundationClasses
TKernel
TColStd

# TColStd_ListOfTransient Class Reference

`#include <TColStd_ListOfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_ListOfTransient ()
Standard_EXPORT void | Assign (const TColStd_ListOfTransient &Other)
void | operator= (const TColStd_ListOfTransient &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TColStd_ListOfTransient ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(Standard_Transient)&I)
Standard_EXPORT void | Prepend (const Handle(Standard_Transient)&I, TColStd_ListIteratorOfListOfTransient &theIt)
Standard_EXPORT void | Prepend (TColStd_ListOfTransient &Other)
Standard_EXPORT void | Append (const Handle(Standard_Transient)&I)
Standard_EXPORT void | Append (const Handle(Standard_Transient)&I, TColStd_ListIteratorOfListOfTransient &theIt)
Standard_EXPORT void | Append (TColStd_ListOfTransient &Other)
Standard_EXPORT Handle_Standard_Transient & | First () const
Standard_EXPORT Handle_Standard_Transient & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TColStd_ListIteratorOfListOfTransient &It)
Standard_EXPORT void | InsertBefore (const Handle(Standard_Transient)&I, TColStd_ListIteratorOfListOfTransient &It)
Standard_EXPORT void | InsertBefore (TColStd_ListOfTransient &Other, TColStd_ListIteratorOfListOfTransient &It)
Standard_EXPORT void | InsertAfter (const Handle(Standard_Transient)&I, TColStd_ListIteratorOfListOfTransient &It)
Standard_EXPORT void | InsertAfter (TColStd_ListOfTransient &Other, TColStd_ListIteratorOfListOfTransient &It)

## Private Member Functions

Standard_EXPORT | TColStd_ListOfTransient (const TColStd_ListOfTransient &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_ListOfTransient::TColStd_ListOfTransient | ( |  | ) |

TColStd_ListOfTransient::~TColStd_ListOfTransient | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_ListOfTransient::TColStd_ListOfTransient | ( | const TColStd_ListOfTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColStd_ListOfTransient::Append | ( | TColStd_ListOfTransient & | Other | ) |

Standard_EXPORT void TColStd_ListOfTransient::Append | ( | const Handle(Standard_Transient)& | I,
|  | TColStd_ListIteratorOfListOfTransient & | theIt
| ) |

Standard_EXPORT void TColStd_ListOfTransient::Append | ( | const Handle(Standard_Transient)& | I | ) |

Standard_EXPORT void TColStd_ListOfTransient::Assign | ( | const TColStd_ListOfTransient & | Other | ) |

Standard_EXPORT void TColStd_ListOfTransient::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TColStd_ListOfTransient::Extent | ( |  | ) | const

Standard_EXPORT Handle_Standard_Transient& TColStd_ListOfTransient::First | ( |  | ) | const

Standard_EXPORT void TColStd_ListOfTransient::InsertAfter | ( | TColStd_ListOfTransient & | Other,
|  | TColStd_ListIteratorOfListOfTransient & | It
| ) |

Standard_EXPORT void TColStd_ListOfTransient::InsertAfter | ( | const Handle(Standard_Transient)& | I,
|  | TColStd_ListIteratorOfListOfTransient & | It
| ) |

Standard_EXPORT void TColStd_ListOfTransient::InsertBefore | ( | TColStd_ListOfTransient & | Other,
|  | TColStd_ListIteratorOfListOfTransient & | It
| ) |

Standard_EXPORT void TColStd_ListOfTransient::InsertBefore | ( | const Handle(Standard_Transient)& | I,
|  | TColStd_ListIteratorOfListOfTransient & | It
| ) |

Standard_Boolean TColStd_ListOfTransient::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_Standard_Transient& TColStd_ListOfTransient::Last | ( |  | ) | const

void TColStd_ListOfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_ListOfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_ListOfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TColStd_ListOfTransient::operator= | ( | const TColStd_ListOfTransient & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_ListOfTransient::Prepend | ( | TColStd_ListOfTransient & | Other | ) |

Standard_EXPORT void TColStd_ListOfTransient::Prepend | ( | const Handle(Standard_Transient)& | I,
|  | TColStd_ListIteratorOfListOfTransient & | theIt
| ) |

Standard_EXPORT void TColStd_ListOfTransient::Prepend | ( | const Handle(Standard_Transient)& | I | ) |

Standard_EXPORT void TColStd_ListOfTransient::Remove | ( | TColStd_ListIteratorOfListOfTransient & | It | ) |

Standard_EXPORT void TColStd_ListOfTransient::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TColStd_ListOfTransient::myFirst `[private]`

Standard_Address TColStd_ListOfTransient::myLast `[private]`

The documentation for this class was generated from the following file:

- TColStd_ListOfTransient.hxx